- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_bulk_operation_t

# mongoc_bulk_operation_remove_many_with_opts()

## Synopsis

    bool
    mongoc_bulk_operation_remove_many_with_opts (mongoc_bulk_operation_t *bulk,
                                                 const bson_t *selector,
                                                 const bson_t *opts,
                                                 bson_error_t *error); /* OUT */

Delete documents as part of a bulk operation. This only queues the operation. To execute it, call mongoc_bulk_operation_execute().

## Parameters

- `bulk`: A mongoc_bulk_operation_t.
- `selector`: A `bson_t` that selects which document to remove.
- `opts`: A `bson_t` containing additional options.
- `error`: An optional location for a bson_error_t or `NULL`.

## See Also

mongoc_bulk_operation_remove()

mongoc_bulk_operation_remove_one_with_opts()

## Errors

Operation errors are propagated via mongoc_bulk_operation_execute(), while argument validation errors are reported by the `error` argument.

## Returns

Returns true on success, and false if there is a server or network error or if passed invalid arguments.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.